"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PresentationExchangeModule = void 0;
const AgentConfig_1 = require("../../agent/AgentConfig");
const PresentationExchangeService_1 = require("./PresentationExchangeService");
/**
 * @public
 */
class PresentationExchangeModule {
    /**
     * Registers the dependencies of the presentation-exchange module on the dependency manager.
     */
    register(dependencyManager) {
        // Warn about experimental module
        dependencyManager
            .resolve(AgentConfig_1.AgentConfig)
            .logger.warn("The 'PresentationExchangeModule' module is experimental and could have unexpected breaking changes. When using this module, make sure to use strict versions for all @aries-framework packages.");
        // Services
        dependencyManager.registerSingleton(PresentationExchangeService_1.PresentationExchangeService);
    }
}
exports.PresentationExchangeModule = PresentationExchangeModule;
//# sourceMappingURL=PresentationExchangeModule.js.map